Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 10.3.x for test
  4. Search 11.x for test
  5. Search main for test
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
PageCacheTest::testCacheableWithCustomCacheControl function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Test a cacheable response with custom cache control.
PageCacheTest::testConditionalRequests function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Tests support of requests with If-Modified-Since and If-None-Match headers.
PageCacheTest::testFormImmutability function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Test the setting of forms to be immutable.
PageCacheTest::testHead function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Tests that HEAD requests are treated the same as GET requests.
PageCacheTest::testNoUrlNormalization function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Test that URLs are cached in a not normalized form.
PageCacheTest::testPageCache function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Tests cache headers.
PageCacheTest::testPageCacheAnonymous403404 function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Tests the 4xx-response cache tag is added and invalidated.
PageCacheTest::testPageCacheAnonymousRolePermissions function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Tests the automatic presence of the anonymous role's cache tag.
PageCacheTest::testPageCacheTags function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Test that cache tags are properly persisted.
PageCacheTest::testPageCacheTagsIndependentFromCacheabilityHeaders function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Test that the page cache doesn't depend on cacheability headers.
PageCacheTest::testPageCacheWithoutVaryCookie function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Tests the omit_vary_cookie setting.
PageCacheTest::testQueryParameterFormatRequests function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Tests support for different cache items with different request formats
specified via a query parameter.
PageEditTest class core/modules/block_content/tests/src/Functional/PageEditTest.php Create a block and test block edit functionality.
PageEditTest.php file core/modules/block_content/tests/src/Functional/PageEditTest.php
PageEditTest::$defaultTheme property core/modules/block_content/tests/src/Functional/PageEditTest.php The theme to install as the default for testing.
PageEditTest::setUp function core/modules/block_content/tests/src/Functional/PageEditTest.php Sets the test up.
PageEditTest::testPageEdit function core/modules/block_content/tests/src/Functional/PageEditTest.php Checks block edit functionality.
PageNotFoundTest class core/modules/system/tests/src/Functional/System/PageNotFoundTest.php Tests page not found functionality, including custom 404 pages.
PageNotFoundTest.php file core/modules/system/tests/src/Functional/System/PageNotFoundTest.php
PageNotFoundTest::$adminUser property core/modules/system/tests/src/Functional/System/PageNotFoundTest.php
PageNotFoundTest::$defaultTheme property core/modules/system/tests/src/Functional/System/PageNotFoundTest.php The theme to install as the default for testing.
PageNotFoundTest::$modules property core/modules/system/tests/src/Functional/System/PageNotFoundTest.php Modules to enable.
PageNotFoundTest::setUp function core/modules/system/tests/src/Functional/System/PageNotFoundTest.php
PageNotFoundTest::testPageNotFound function core/modules/system/tests/src/Functional/System/PageNotFoundTest.php
PageNotFoundTest::testPageNotFoundCustomPageWithAccessDenied function core/modules/system/tests/src/Functional/System/PageNotFoundTest.php Tests that an inaccessible custom 404 page falls back to the default.
PagePreviewTest class core/modules/node/tests/src/Functional/PagePreviewTest.php Tests the node entity preview functionality.
PagePreviewTest.php file core/modules/node/tests/src/Functional/PagePreviewTest.php
PagePreviewTest::$defaultTheme property core/modules/node/tests/src/Functional/PagePreviewTest.php The theme to install as the default for testing.
PagePreviewTest::$fieldName property core/modules/node/tests/src/Functional/PagePreviewTest.php The name of the created field.
PagePreviewTest::$modules property core/modules/node/tests/src/Functional/PagePreviewTest.php Enable the comment, node and taxonomy modules to test on the preview.
PagePreviewTest::setUp function core/modules/node/tests/src/Functional/PagePreviewTest.php
PagePreviewTest::testPagePreview function core/modules/node/tests/src/Functional/PagePreviewTest.php Checks the node preview functionality.
PagePreviewTest::testPagePreviewWithRevisions function core/modules/node/tests/src/Functional/PagePreviewTest.php Checks the node preview functionality, when using revisions.
PagePreviewTest::testSimultaneousPreview function core/modules/node/tests/src/Functional/PagePreviewTest.php Checks the node preview accessible for simultaneous node editing.
PagerDeprecationTest class core/modules/system/tests/src/Kernel/Pager/PagerDeprecationTest.php Ensure that deprecated pager functions trigger deprecation errors.
PagerDeprecationTest.php file core/modules/system/tests/src/Kernel/Pager/PagerDeprecationTest.php
PagerDeprecationTest::testDefaultInitialize function core/modules/system/tests/src/Kernel/Pager/PagerDeprecationTest.php @expectedDeprecation pager_default_initialize is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerManagerInterface->createPager() instead. See https://www.drupal.org/node/2779457
PagerDeprecationTest::testFindPage function core/modules/system/tests/src/Kernel/Pager/PagerDeprecationTest.php @expectedDeprecation pager_find_page is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerParametersInterface->findPage() instead. See https://www.drupal.org/node/2779457
PagerDeprecationTest::testGetQueryParameters function core/modules/system/tests/src/Kernel/Pager/PagerDeprecationTest.php @expectedDeprecation pager_get_query_parameters is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerParametersInterface->getQueryParameters() instead. See https://www.drupal.org/node/2779457
PagerDeprecationTest::testQueryAddPage function core/modules/system/tests/src/Kernel/Pager/PagerDeprecationTest.php @expectedDeprecation pager_query_add_page is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use \Drupal\Core\Pager\PagerManagerInterface->getUpdatedParameters() instead. See https://www.drupal.org/node/2779457
PageRenderTest class core/modules/system/tests/src/Kernel/Common/PageRenderTest.php Test page rendering hooks.
PageRenderTest.php file core/modules/system/tests/src/Kernel/Common/PageRenderTest.php
PageRenderTest::assertPageRenderHookExceptions function core/modules/system/tests/src/Kernel/Common/PageRenderTest.php Asserts whether expected exceptions are thrown for invalid hook implementations.
PageRenderTest::testHookPageAlter function core/modules/system/tests/src/Kernel/Common/PageRenderTest.php Tests hook_page_attachments_alter() exceptions.
PageRenderTest::testHookPageAttachmentsExceptions function core/modules/system/tests/src/Kernel/Common/PageRenderTest.php Tests hook_page_attachments() exceptions.
PagerKernelTest class core/modules/views/tests/src/Kernel/Plugin/PagerKernelTest.php Tests pager-related APIs.
PagerKernelTest.php file core/modules/views/tests/src/Kernel/Plugin/PagerKernelTest.php
PagerKernelTest::$modules property core/modules/views/tests/src/Kernel/Plugin/PagerKernelTest.php Modules to enable.
PagerKernelTest::$testViews property core/modules/views/tests/src/Kernel/Plugin/PagerKernelTest.php Views to be enabled.
PagerKernelTest::setUp function core/modules/views/tests/src/Kernel/Plugin/PagerKernelTest.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.